package cn.im.trafficlinkage.service;

 import cn.im.trafficlinkage.dao.TrafficdevicecurrstateDao;
import cn.im.trafficlinkage.model.TrafficdevicecurrstateBean;
import cn.im.trafficlinkage.model.TrafficdevicehisstateBean;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;

@Service("trafficdevicecurrstateService")
public class TrafficdevicecurrstateService extends BaseService {
	
	private static Log log = LogFactory.getLog(TrafficdevicecurrstateService.class);
	
	@Autowired
	private TrafficdevicecurrstateDao trafficdevicecurrstateDao;
	
	/**
	 * 保存记录
	 */
	/*
	
	public void insert_Trafficdevicecurrstate(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		trafficdevicecurrstateDao.insert_Trafficdevicecurrstate(map);
	}
	
	*/

	
	/**
	 * 修改记录
	 */
	/*
	
	public Integer update_Trafficdevicecurrstate(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return trafficdevicecurrstateDao.update_Trafficdevicecurrstate(map);
	}
	
	*/
	
	/**
	 * 删除记录
	 */
	 
	/*
	
	public Integer delete_Trafficdevicecurrstate(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return trafficdevicecurrstateDao.delete_Trafficdevicecurrstate(map);
	}
	
	*/
	
	/**
	 * 批处理删除记录
	 */
	 
	/*
	
	public Integer batch_delete_Trafficdevicecurrstate(Map map) throws SQLException{
		return trafficdevicecurrstateDao.batch_delete_Trafficdevicecurrstate(map);
	}
	
	*/
	
	/**
	 * 查询总数
	 */
	 
	/*
	
	public Integer count_Trafficdevicecurrstate(Map map) throws SQLException{
		return trafficdevicecurrstateDao.count_Trafficdevicecurrstate(map);
	}
	
	*/
	
	/**
	 * 查询列表记录SELECT
	 */
	
	public List<Map> query_Trafficdevicecurrstate_All() throws SQLException{
		return trafficdevicecurrstateDao.query_Trafficdevicecurrstate_All();
	}
	
	
	/**
	 * 查询一条
	 */
	 
	/*
	
	public Map get_Trafficdevicecurrstate(Map map) throws SQLException{
		return trafficdevicecurrstateDao.get_Trafficdevicecurrstate(map);
	}
	
	*/
	public TrafficdevicehisstateBean get_Trafficdevicecurrstate_bean(TrafficdevicecurrstateBean b) throws SQLException{
		return trafficdevicecurrstateDao.get_Trafficdevicecurrstate_bean(b);
	}
	
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	
	public Map exportTrafficdevicecurrstate(Map map) throws SQLException{
		return this.listTrafficdevicecurrstateByPage(map);
	}
	
	*/
	
	/**
	 * Trafficdevicecurrstate 分页
	 */
	 
	/*
	
	public Map listTrafficdevicecurrstateByPage(Map map) throws SQLException {
		List<Map> list = trafficdevicecurrstateDao.query_Trafficdevicecurrstate(map);
		Integer totalCount = trafficdevicecurrstateDao.count_Trafficdevicecurrstate(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	
	*/
}
